Show / Hide Table of Contents

# Struct AddonNamePlate

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AddonNamePlate

### Fields

| Improve this Doc View Source

#### AlternatePartId

##### Declaration

    public ushort AlternatePartId

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### AtkUnitBase

##### Declaration

    public AtkUnitBase AtkUnitBase

##### Field Value

Type | Description
--- | ---
AtkUnitBase |

| Improve this Doc View Source

#### BakePlate

##### Declaration

    public AddonNamePlate.BakePlateRenderer BakePlate

##### Field Value

Type | Description
--- | ---
AddonNamePlate.BakePlateRenderer |

| Improve this Doc View Source

#### DoFullUpdate

##### Declaration

    public byte DoFullUpdate

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### NamePlateObjectArray

##### Declaration

    public AddonNamePlate.NamePlateObject*NamePlateObjectArray

##### Field Value

Type | Description
--- | ---
AddonNamePlate.NamePlateObject* |

### Properties

| Improve this Doc View Source

#### NumNamePlateObjects

##### Declaration

    public static readonly int NumNamePlateObjects { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |